Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005319opensim[REGION] Script Functionspublic2011-01-08 13:102012-06-25 16:44
Reporterdjones 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005319: Scripts compile but do not save
DescriptionI am trying to create a script in an object, however when I attempt to save it it says it compiled correctly and is saving, but just hangs on the save. I've left it for a long as 30 minutes without any results.

I'm currently using version 0.7.0.2 of Opensim source, compiled using Visual C# 2008 express edition.

I've tried using a variety of clients (Hippo, new Second Life Viewer) all with the same results. I've tried recreating the MySQL database back end, running on a 0.7.0.2 binary distribution, and every combination I can think of. I always get the same result.
TagsNo tags attached.
Git Revision or version number0
Run ModeStandalone (1 Region)
Physics EngineBasicPhysics
Script Engine
Environment.NET / Windows32
Mono VersionNone
ViewerHippo & New Second Life
Attached Files

- Relationships

-  Notes
(0021430)
justincc (administrator)
2012-05-11 19:36

Is this still an issue with current OpenSimulator?
(0021455)
djones (reporter)
2012-05-14 05:56

The last time I tried it still did not function properly. I did have a few scripts running on a few objects, I just could not add any more without getting this error.

I guess the best way to answer is, yes, it is still an issue, but I'm not currently using the software. If I am the only one reporting this issue then it is likely nothing to worry about...
(0021457)
justincc (administrator)
2012-05-14 11:01

I'm hoping this may no longer be an issue due to recent changes in OpenSimulator. But since I'm not sure and these changes aren't in release code, I think we will keep this bug open for now.
(0021671)
Digi Fly (reporter)
2012-06-20 12:38

I have the problem that after some time working on a script it stops saveing,
Or saves with very long delay that your already 10 steps forward before you notice that code reverted back the previous one, and lose code.
Sometimes sometimes the right code reappear after some time.
Feels like opensim keeps something in cache or query, and the querry get filled faster then its processed. But the viewer just say, its saved , script running.
wich script is running ???

running: OSgrid OpenSimulator 0.7.4.dev.729d901 - 06-02-2012
(0021673)
caro thart (reporter)
2012-06-21 02:57

I have noticed described problem in versions 0.7.0 upto 0.7.3 and learned to live with this. I have no saving problems when I have the object selected when I hit the save button. I could be wrong and don't want to create confusion, but unselecting the object or selecting another while editing the script in my experience give a high risc of "scriptconfusion". That is: it looks like the new version is running but the editor shows the old one. Given some time (minutes) this is resolved.
(0021674)
Digi Fly (reporter)
2012-06-21 05:37
edited on: 2012-06-21 06:02

Ok, thats intressting. because its pretty normal to work on one object with script. And open a script in other object to look at some code or copy some part over to the current one. Would be bad if you need to close every time the script windows, only because the extra useless clicks. And it just dont work nice.
I need to try it your way caro thart. just only have one script window open, and close it before i open new one.

The problem with close and reopen script, the script window always open at the wrong coordinates on your screen. what means again more mouse actions to move it back to right position.

(0021677)
caro thart (reporter)
2012-06-22 01:25

Digi Fly, I have to be more clear, but this issue can be very confusing.
When you save the script make sure that the object the script is in is actually selected at that moment.
I do select other objects and open other scripts while editting, but just make sure that the object holding the script to be saved is selected when I save.
I do not close other scriptwindows.
(0021678)
Digi Fly (reporter)
2012-06-22 05:30

Right now i test only 1 script open for 1 object.
That seems to work for now without any problems.
(0021679)
caro thart (reporter)
2012-06-22 11:40

Okay, I finally took the time to figure out when scriptsave-problems occur. I have 100% failure (in 20 trials)when I do the following:
Rez 2 objects.
Create a script in the first and save.
Select that object, open the script window for editting.
Select the second object, edit the open script and save.
Select the first object, open the script: 100% the old version.
After a few (2-4) trials of opening the script it "changes" into the new version).

Saving the script while keeping the object selected (20 times) never showed the old version.
Saving the script with the object selected when in between selecting another object never showed the old version.
(0021680)
albertlr Landar (reporter)
2012-06-22 13:00

I am wondering if this is not a viewer problem. I have consistently used imprudence 1.4. Recently ran into the same problem of new script was complied but did not or would not come up as saved. So I switched to another viewer and had no problem at all with it. Went back to imprudence and it still would not save, so I closed it and cleared the cache, and when I started it up again it immediately opened any script and I can make changes and it saved right away. Every time I had problems I would get a message after a while that inventory service was not available.
(0021683)
caro thart (reporter)
2012-06-23 02:24

You are probably right.
I usually work with Imprudence, which was also used in above note. However I do not have inventory service problems and clearing the imprudence cache in my case did not resolve the saving problem.
Have tried a few other viewers though and noticed that (using the test as in note above):

Imprudence 1.4.0 beta 2 (Sep 23 2011 20:58:56) - 20 out of 20 saves show old script
Singularity Viewer 1.6.0 (3) Nov 7 2011 15:25:09 (Singularity)- no saving problem
Hippo OpenSim Viewer 0.6.3 (LL 1.23.5) Apr 30 2010 22:08:16 (Hippo Release) - 9 of 20 saves show old script
Cool VL Viewer 1.26.2 (11) Dec 24 2011 16:57:19 (Cool VL Viewer) - no saving problem

So yes, probably not an opensim issue but a viewer issue.
(0021684)
Digi Fly (reporter)
2012-06-23 13:55
edited on: 2012-06-23 13:56

Tonight it happend again, and i really only work with one object at the time. but with soie smaller screen you automatic close soemtimes a window. in this case (you explainded already) the edit window, so the cube get deselected. and because i dont see the cube (edit window on top) i lost where after some heavy edit session some information, it just reverts back to old data form 5 saves ago.
And you never really can say what changes.

Oh, right. also what you explained i have clicked on other objects to get some vector settings. ANd not clicked back on the object i edit before save.

Hope some good fix for this comes.

(0021685)
caro thart (reporter)
2012-06-24 04:14

I can only say that selecting the object the script is in becomes second nature once you realise that that creates the problem. If it does happen: wait a minute and try again.
I should have reported the issue in the first place and not have accepted the work-around so easily. So, now it is registered.
As I look at the issue now:
a. It is not clear (and probably unlikely) that opensim is the (only)source of the problem.
b. There is a practical workaround.

For me, I would put this on the lowest priority pile.
(0021686)
Digi Fly (reporter)
2012-06-24 05:49

Last coment, an dthats the whole problem. You cannot get always the object selected. ANd if its deselected its many times hard to get it selected again.
There's simple not enough screen space to keep to object visible and have also your edit window and lsl window + chat window open.

And no, open en close them always is something i need to avoid,
because to much clicking give problems.

Well at least i know its not me.....
(0021687)
justincc (administrator)
2012-06-25 16:44

I think you're on the right track. I spent a bit of time analyzing a very similar problem (if not the same one) recently but the fix didn't look particularly straightforward.

- Issue History
Date Modified Username Field Change
2011-01-08 13:10 djones New Issue
2011-01-08 13:10 djones Git Revision => 0
2011-01-08 13:10 djones SVN Revision => 0
2011-01-08 13:10 djones Run Mode => Standalone (1 Region)
2011-01-08 13:10 djones Physics Engine => BasicPhysics
2011-01-08 13:10 djones Environment => .NET / Windows32
2011-01-08 13:10 djones Mono Version => None
2011-01-08 13:10 djones Viewer => Hippo & New Second Life
2012-05-11 19:36 justincc Note Added: 0021430
2012-05-14 05:56 djones Note Added: 0021455
2012-05-14 11:01 justincc Note Added: 0021457
2012-06-20 12:38 Digi Fly Note Added: 0021671
2012-06-21 02:57 caro thart Note Added: 0021673
2012-06-21 05:37 Digi Fly Note Added: 0021674
2012-06-21 06:02 Digi Fly Note Edited: 0021674 View Revisions
2012-06-22 01:25 caro thart Note Added: 0021677
2012-06-22 05:30 Digi Fly Note Added: 0021678
2012-06-22 11:40 caro thart Note Added: 0021679
2012-06-22 13:00 albertlr Landar Note Added: 0021680
2012-06-23 02:24 caro thart Note Added: 0021683
2012-06-23 13:55 Digi Fly Note Added: 0021684
2012-06-23 13:56 Digi Fly Note Edited: 0021684 View Revisions
2012-06-24 04:14 caro thart Note Added: 0021685
2012-06-24 05:49 Digi Fly Note Added: 0021686
2012-06-25 16:44 justincc Note Added: 0021687


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker